package com.chenyang.nse.bussiness.entity.orm.table.core.previousblob;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_PREVIOUS_BLOB_TASK"
)
public class TCorePreviousBlobTask extends TBaseEntity {
   private String taskname;
   private String datasourceid;
   private String datasourceschema;
   private String maskinginfo;
   private String runstatus;
   private String blobcloumn;
   private String tablename;
   private Date createtime;

   public TCorePreviousBlobTask() {
   }

   public TCorePreviousBlobTask(String taskname, String datasourceid, String datasourceschema, String maskinginfo, String runstatus, String blobcloumn, String tablename, Date createtime) {
      this.taskname = taskname;
      this.datasourceid = datasourceid;
      this.datasourceschema = datasourceschema;
      this.maskinginfo = maskinginfo;
      this.runstatus = runstatus;
      this.blobcloumn = blobcloumn;
      this.tablename = tablename;
      this.createtime = createtime;
   }

   public String toString() {
      return "TCorePreviousBlobTask [taskname=" + this.taskname + ", datasourceid=" + this.datasourceid + ", datasourceschema=" + this.datasourceschema + ", maskinginfo=" + this.maskinginfo + ", runstatus=" + this.runstatus + ", blobcloumn=" + this.blobcloumn + ", tablename=" + this.tablename + ", createtime=" + this.createtime + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.blobcloumn == null ? 0 : this.blobcloumn.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.datasourceid == null ? 0 : this.datasourceid.hashCode());
      result = 31 * result + (this.maskinginfo == null ? 0 : this.maskinginfo.hashCode());
      result = 31 * result + (this.runstatus == null ? 0 : this.runstatus.hashCode());
      result = 31 * result + (this.datasourceschema == null ? 0 : this.datasourceschema.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      result = 31 * result + (this.taskname == null ? 0 : this.taskname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCorePreviousBlobTask other = (TCorePreviousBlobTask)obj;
         if (this.blobcloumn == null) {
            if (other.blobcloumn != null) {
               return false;
            }
         } else if (!this.blobcloumn.equals(other.blobcloumn)) {
            return false;
         }

         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.datasourceid == null) {
            if (other.datasourceid != null) {
               return false;
            }
         } else if (!this.datasourceid.equals(other.datasourceid)) {
            return false;
         }

         if (this.maskinginfo == null) {
            if (other.maskinginfo != null) {
               return false;
            }
         } else if (!this.maskinginfo.equals(other.maskinginfo)) {
            return false;
         }

         if (this.runstatus == null) {
            if (other.runstatus != null) {
               return false;
            }
         } else if (!this.runstatus.equals(other.runstatus)) {
            return false;
         }

         if (this.datasourceschema == null) {
            if (other.datasourceschema != null) {
               return false;
            }
         } else if (!this.datasourceschema.equals(other.datasourceschema)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         if (this.taskname == null) {
            if (other.taskname != null) {
               return false;
            }
         } else if (!this.taskname.equals(other.taskname)) {
            return false;
         }

         return true;
      }
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatasourceschema() {
      return this.datasourceschema;
   }

   public void setDatasourceschema(String datasourceschema) {
      this.datasourceschema = datasourceschema;
   }

   public String getMaskinginfo() {
      return this.maskinginfo;
   }

   public void setMaskinginfo(String maskinginfo) {
      this.maskinginfo = maskinginfo;
   }

   public String getRunstatus() {
      return this.runstatus;
   }

   public void setRunstatus(String runstatus) {
      this.runstatus = runstatus;
   }

   public String getBlobcloumn() {
      return this.blobcloumn;
   }

   public void setBlobcloumn(String blobcloumn) {
      this.blobcloumn = blobcloumn;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }
}
